import com.imsl.chart.*;
import java.awt.Color;

public class SampleAreaPaint extends JFrameChart {

    public SampleAreaPaint() {        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        chart.getLegend().setPaint(true);
  
        double y1[] = {4, -6, 2, 1, -8};
        Data data1 = new Data(axis, y1);
        data1.setTitle("Area");
        data1.setDataType(Data.DATA_TYPE_FILL);
        data1.setFillType(Data.FILL_TYPE_PAINT);
        data1.setFillPaint(FillPaint.crosshatch
        (10,5,Color.red,Color.yellow));
        
        double y2[] = {5, -3, 6, -7, 2};
        Data data2 = new Data(axis, y2);
        data2.setTitle("Marker");
        data2.setDataType(Data.DATA_TYPE_MARKER);
        data2.setMarkerColor(Color.blue);
        data2.setMarkerType(Data.MARKER_TYPE_FILLED_CIRCLE);
    }
    
    public static void main(String argv[]) {
        new SampleAreaPaint().setVisible(true);
    }
}